import { view } from "../decorators/view.js";
import { Button } from "../button/button.js";
import { NativeColorOpenButton } from "./native-coloropenbutton.js";
let ColorOpenButton = class ColorOpenButton extends Button {
    initNativeView() {
        this.nativeView = NativeColorOpenButton.initWithOwner(new WeakRef(this));
        return this.nativeView;
    }
    prepareNativeView(nativeView) {
        nativeView.target = this.nativeView;
        nativeView.action = "clicked";
        nativeView.bezelStyle = NSBezelStyle.Automatic;
    }
};
ColorOpenButton = __decorate([
    view({
        name: "HTMLButtonElement",
        tagName: "coloropenbutton",
    })
], ColorOpenButton);
export { ColorOpenButton };
//# sourceMappingURL=coloropenbutton.js.map